com.sap.ecm.api

## Interface EcmService

-     public interface EcmService

  See the javadoc in `EcmFactory`.
  See Also:
    `EcmFactory`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Session` | `connect(String uniqueName, String key)`
    `Session` | `connect(String uniqueName, String key, String destination)`
    `Session` | `connect(String uniqueName, String key, String destination, Map<String,String> openCmisProperties)`
    `Session` | `connect(String uniqueName, String key, String destination, Map<String,String> openCmisProperties, List<String> additionalPrincipals)`
    `Session` | `connectForTenant(String uniqueName, String key, String tenantId, String user)`
    `Session` | `connectForTenant(String uniqueName, String key, String tenantId, String user, Map<String,String> openCmisProperties)`
    `Session` | `connectForTenant(String uniqueName, String key, String tenantId, String user, Map<String,String> openCmisProperties, List<String> additionalPrincipals)`
    `Session` | `connectForUser(String uniqueName, String key, String user)`
    `Session` | `connectForUser(String uniqueName, String key, String destination, String user)`
    `Session` | `connectForUser(String uniqueName, String key, String destination, String user, Map<String,String> openCmisProperties)`
    `Session` | `connectForUser(String uniqueName, String key, String destination, String user, Map<String,String> openCmisProperties, List<String> additionalPrincipals)`
    `String` | `createRepository(RepositoryOptions options)`
    `String` | `createRepository(RepositoryOptions options, String destination)`
    `void` | `deleteRepository(String uniqueName, String repositoryKey)`
    `void` | `deleteRepository(String uniqueName, String repositoryKey, String destination)`
    `void` | `forceDeleteRepository(String uniqueName, String repositoryKey)` Deletes the tenant repository of the current tenant (consuming account) including all data contained within.
    `void` | `forceDeleteRepositoryForAllTenants(String uniqueName, String repositoryKey)` Deletes a repository and all contained tenant repositories including all data inside.
    `void` | `forceDeleteRepositoryForTenant(String uniqueName, String repositoryKey, String tenantId)` Deletes the tenant repository of the given tenant ID including all data contained within.

- - ### Method Detail

    - #### connect

          Session connect(String uniqueName,
                        String key)
                          throws ServiceException,
                                 CmisObjectNotFoundException

      Throws:
        `ServiceException`
        `CmisObjectNotFoundException`
      See Also:
        `EcmFactory.connect(String, String)`

    - #### connect

          Session connect(String uniqueName,
                        String key,
                        String destination)
                          throws ServiceException,
                                 CmisObjectNotFoundException

      Throws:
        `ServiceException`
        `CmisObjectNotFoundException`
      See Also:
        `EcmFactory.connect(String, String, String)`

    - #### connect

          Session connect(String uniqueName,
                        String key,
                        String destination,
                        Map<String,String> openCmisProperties)
                          throws ServiceException,
                                 CmisObjectNotFoundException

      Throws:
        `ServiceException`
        `CmisObjectNotFoundException`
      See Also:
        `EcmFactory.connect(String, String, String, Map)`

    - #### connect

          Session connect(String uniqueName,
                        String key,
                        String destination,
                        Map<String,String> openCmisProperties,
                        List<String> additionalPrincipals)
                          throws ServiceException,
                                 CmisObjectNotFoundException

      Throws:
        `ServiceException`
        `CmisObjectNotFoundException`
      See Also:
        `EcmFactory.connect(String, String, String, Map, List)`

    - #### connectForUser

          Session connectForUser(String uniqueName,
                               String key,
                               String user)
                                 throws ServiceException,
                                        CmisObjectNotFoundException

      Throws:
        `ServiceException`
        `CmisObjectNotFoundException`
      See Also:
        `EcmFactory.connectForUser(String, String, String)`

    - #### connectForUser

          Session connectForUser(String uniqueName,
                               String key,
                               String destination,
                               String user)
                                 throws ServiceException,
                                        CmisObjectNotFoundException

      Throws:
        `ServiceException`
        `CmisObjectNotFoundException`
      See Also:
        `EcmFactory.connectForUser(String, String, String, String)`

    - #### connectForUser

          Session connectForUser(String uniqueName,
                               String key,
                               String destination,
                               String user,
                               Map<String,String> openCmisProperties)
                                 throws ServiceException,
                                        CmisObjectNotFoundException

      Throws:
        `ServiceException`
        `CmisObjectNotFoundException`
      See Also:
        `EcmFactory.connectForUser(String, String, String, String, Map)`

    - #### connectForUser

          Session connectForUser(String uniqueName,
                               String key,
                               String destination,
                               String user,
                               Map<String,String> openCmisProperties,
                               List<String> additionalPrincipals)
                                 throws ServiceException,
                                        CmisObjectNotFoundException

      Throws:
        `ServiceException`
        `CmisObjectNotFoundException`
      See Also:
        `EcmFactory.connectForUser(String, String, String, String, Map, List)`

    - #### connectForTenant

          Session connectForTenant(String uniqueName,
                                 String key,
                                 String tenantId,
                                 String user)
                                   throws ServiceException,
                                          CmisObjectNotFoundException

      Throws:
        `ServiceException`
        `CmisObjectNotFoundException`
      See Also:
        `EcmFactory.connectForTenant(String, String, String, String)`

    - #### connectForTenant

          Session connectForTenant(String uniqueName,
                                 String key,
                                 String tenantId,
                                 String user,
                                 Map<String,String> openCmisProperties)
                                   throws ServiceException,
                                          CmisObjectNotFoundException

      Throws:
        `ServiceException`
        `CmisObjectNotFoundException`
      See Also:
        `EcmFactory.connectForTenant(String, String, String, String, Map)`

    - #### connectForTenant

          Session connectForTenant(String uniqueName,
                                 String key,
                                 String tenantId,
                                 String user,
                                 Map<String,String> openCmisProperties,
                                 List<String> additionalPrincipals)
                                   throws ServiceException,
                                          CmisObjectNotFoundException

      Throws:
        `ServiceException`
        `CmisObjectNotFoundException`
      See Also:
        `EcmFactory.connectForTenant(String, String, String, String, Map, List)`

    - #### createRepository

          String createRepository(RepositoryOptions options)
                                  throws ServiceException,
                                         RepositoryAlreadyExistsException

      Throws:
        `ServiceException`
        `RepositoryAlreadyExistsException`
      See Also:
        `EcmFactory.createRepository(RepositoryOptions)`

    - #### createRepository

          String createRepository(RepositoryOptions options,
                                String destination)
                                  throws ServiceException,
                                         RepositoryAlreadyExistsException

      Throws:
        `ServiceException`
        `RepositoryAlreadyExistsException`
      See Also:
        `EcmFactory.createRepository(RepositoryOptions, String)`

    - #### deleteRepository

          void deleteRepository(String uniqueName,
                              String repositoryKey)
                                throws ServiceException,
                                       CmisObjectNotFoundException,
                                       RepositoryNotEmptyException

      Throws:
        `ServiceException`
        `CmisObjectNotFoundException`
        `RepositoryNotEmptyException`
      See Also:
        `EcmFactory.deleteRepository(String, String)`

    - #### deleteRepository

          void deleteRepository(String uniqueName,
                              String repositoryKey,
                              String destination)
                                throws ServiceException,
                                       CmisObjectNotFoundException,
                                       RepositoryNotEmptyException

      Throws:
        `ServiceException`
        `CmisObjectNotFoundException`
        `RepositoryNotEmptyException`
      See Also:
        `EcmFactory.deleteRepository(String, String, String)`

    - #### forceDeleteRepository

          void forceDeleteRepository(String uniqueName,
                                   String repositoryKey)
                                     throws ServiceException,
                                            CmisObjectNotFoundException

      Deletes the tenant repository of the current tenant (consuming account) including all data contained within. This happens even if the repository is not empty and can lead to data loss.
      Parameters:
        `uniqueName` - The unique name of the repository to delete the current tenant from
        `repositoryKey` - Authentication key for the repository
      Throws:
        `ServiceException` - Generic exception that encapsulates root causes
        `CmisObjectNotFoundException` - Thrown if the specified repository does not exist
      See Also:
        `EcmFactory.forceDeleteRepository(String, String)`

    - #### forceDeleteRepositoryForTenant

          void forceDeleteRepositoryForTenant(String uniqueName,
                                            String repositoryKey,
                                            String tenantId)
                                              throws ServiceException,
                                                     CmisObjectNotFoundException

      Deletes the tenant repository of the given tenant ID including all data contained within. This happens even if the repository is not empty and can lead to data loss.
      Parameters:
        `uniqueName` - The unique name of the repository to delete the specified tenant from
        `repositoryKey` - Authentication key for the repository
        `tenantId` - tenant id of the tenant that is to be deleted from the specified repository
      Throws:
        `ServiceException` - Generic exception that encapsulates root causes
        `CmisObjectNotFoundException` - Thrown if the specified repository does not exist
      See Also:
        `EcmFactory.forceDeleteRepositoryForTenant(String, String, String)`

    - #### forceDeleteRepositoryForAllTenants

          void forceDeleteRepositoryForAllTenants(String uniqueName,
                                                String repositoryKey)
                                                  throws ServiceException,
                                                         CmisObjectNotFoundException

      Deletes a repository and all contained tenant repositories including all data inside. This happens even if the repository is not empty and can lead to data loss.
      Parameters:
        `uniqueName` - The unique name of the repository to delete all tenants from
        `repositoryKey` - Authentication key for the repository
      Throws:
        `ServiceException` - Generic exception that encapsulates root causes
        `CmisObjectNotFoundException` - Thrown if the specified repository does not exist
      See Also:
        `EcmFactory#forceDeleteRepositoryForAllTenants(String, String, String)`

Copyright © 2018 SAP. All Rights Reserved.